Documents

Document Solution Configuration Update

PUT
/documents/configuration/{documentSolutionConfigurationGuid}/update

Updates an existing document solution configuration.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentSolutionConfigurationGuid*string

GUID of the document solution configuration to update.

Formatuuid

Request Body

application/json

The DocumentSolutionConfigurationModel payload to update. Server-managed fields (ids, timestamps, links, isDeleted) are ignored.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/documents/configuration/a3bb189e-8bf9-3888-9912-ace4e6543002/update" \  -H "Content-Type: application/json" \  -d '{    "documentSolutionGuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",    "name": "Invoice - PDF via Email",    "description": "Renders invoices as PDF and e-mails them to the customer.",    "title": "Invoice",    "fileFormat": "pdf",    "processingType": "STANDARD",    "deliveryMethod": "Email",    "path": "output/invoices/",    "pdfConformanceLevel": "PdfA2B",    "pdfVersion": "2026-01-07",    "language": "en",    "locale": "en-US",    "timeZone": "America/New_York",    "embeddedData": "{\\"companyName\\":\\"Contoso Ltd\\"}",    "viewAnonymous": false,    "editAnonymous": false,    "viewOrganization": true,    "editOrganization": false,    "viewUser": true,    "editUser": false,    "viewUserEmailList": "alice@example.com,bob@example.com",    "editUserEmailList": "carol@example.com"  }'
{  "result": {    "data": {      "documentSolutionConfiguration": {        "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",        "documentSolutionGuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",        "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",        "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "name": "Invoice - PDF via Email",        "description": "Renders invoices as PDF and e-mails them to the customer.",        "title": "Invoice",        "fileFormat": "pdf",        "processingType": "STANDARD",        "deliveryMethod": "Email",        "path": "output/invoices/",        "pdfConformanceLevel": "PdfA2B",        "pdfVersion": "2026-01-07",        "language": "en",        "locale": "en-US",        "timeZone": "America/New_York",        "embeddedData": "{\"companyName\":\"Contoso Ltd\"}",        "viewAnonymous": false,        "editAnonymous": false,        "viewOrganization": true,        "editOrganization": false,        "viewUser": true,        "editUser": false,        "viewUserEmailList": "alice@example.com,bob@example.com",        "editUserEmailList": "carol@example.com",        "createdDate": "2026-07-14T09:30:00.000Z",        "lastModifiedDate": "2026-07-14T09:30:00.000Z",        "isDeleted": false      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "PUT https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/update",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "44089eb0198f86832d1d8031cee6b03c",  "userId": "031e14d3-9c06-431b-b91f-47b8ef463c32"}
{  "userId": "93ed2ede-6af7-44ed-99bd-f6ffe8235668",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "PUT https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/update",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "b50e51560b426074bc344a5295b27c9f"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "PUT https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/update",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "0e3247610834393c8c1442112cfcf565",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "PUT https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/update",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "9f6e2d006e68930d9b705d13ea38730e",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "c3defc51-d7d3-42a5-9c19-e476004f9d4f",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "PUT https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/update",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "24f35deedeed7e21fc45c35f078cce1d"}